@media screen and (max-width: 1620px) {
    .mainflex {
        width: 100%;
    }

    .relative {
        width: 100%;
    }

    .main-windows {
        width: 100%;
    }
}

@media screen and (max-width: 1581px) and (min-width: 1196px) {
    #spinach-container {
        right: 30px;
    }

    #homo-container {
        left: 30px;
    }

    .window.personal, .window.games {
        width: 55%;
    }

    .window.games {
        left: -20px;
    }

    .window.personal {
        right: -40px;
    }

    #listening-container {
        right: auto;
        width: 90%;
    }

    #hanging-decor {
        left: -360px;
    }
}

@media screen and (max-width: 1379px) {
    #update-log {
        left: -450px;
        bottom: -10px;
    }
}

@media screen and (max-width: 1300px) and (min-width: 1196px) {
    .personal .window-contents {
        grid-template-columns: auto auto;
    }

    #hat {
        left: -120px;
    }

    #hanging-decor {
        transform: scale(0.9);
        left: -335px;
    }

    #homo-container, #spinach-container {
        width: 320px;
    }

    #homo-container {
        height: 535px;
        z-index: 5;
    }
    #last-played-credits {right: auto; left: 2px}
}

@media screen and (max-width: 1195px) {
    .branch {
        transform: scale(0.8);
        position: absolute;
        margin: 0;
    }

    #branches-left {transform-origin: left top; left: -6px;}
    #branches-right {transform-origin: right top; right: -6px;}

    .main-windows {
        flex-direction: column;
        align-items: center;
        margin-top: 0;
    }

    .main-windows section {
        width: 100%;
        align-items: center;
        justify-content: center;
        display: flex;
        height: 540px;
    }

    .window.games, .window.personal {
        position: relative !important;
    }

    .window.personal {
        right: auto;
    }

    #homo-container {
        left: 14px;
        bottom: 10px;
    }

    #listening-container {
        width: 100%;
        right: auto;
    }

    #blurb-text {
        width: 260px;
        right: 30px;
        top: 153px;
    }

    #games-section {height: 450px; margin-top: 40px;}
    #hanging-decor {display: none;}

    #hat {
        left: 280px;
        bottom: 65px;
    }

    #spinach-container {
        bottom: 65px;
        right: 30px;
        width: 365px;
    }

    #update-log {
        bottom: 200px;
        left: 30px;
    }
    #last-played-credits {right: 2px}
}

@media screen and (max-width: 1159px) {
    #update-log {
        left: 20px;
    }
}

@media screen and (max-width: 1112px) {
    #update-log {
        bottom: -150px;
        left: auto;
    }

    #games-section {
        margin-bottom: 180px;
    }
}

@media screen and (max-width: 1060px) {
    #blurb-text {
        right: 50px;
        width: 200px;
        top: 183px;
    }

    #homo, #spinach {
        transform: scale(0.85);
    }

    #homo-container {
        bottom: -5px;
        width: 280px;
        height: 480px;
        left: 80px;
    }

    #statuscafe.bubble {
        width: 120px;
        height: 120px;
    }
}

@media screen and (max-width: 1018px) {
    #hat {
        left: 210px;
    }
}

@media screen and (max-width: 990px) {
    #blurb-text {
        right: auto;
        top: auto;
        width: 60%;
        bottom: -45px;
    }

    #personal-section {
        margin-bottom: 90px;
    }
}

@media screen and (max-width: 960px) {
    #status {
        left: 15%;
    }

    #homo-container {
        height: 490px;
        left: 30px;
    }

    #status-stem {
        right: 70px;
    }
}

@media screen and (max-width: 879px) {
    #hat {
        left: 140px;
    }
}

@media screen and (max-width: 860px) {
    #homo-container {
        left: 0;
    }
}

@media screen and (max-width: 891px) {
    #spinach-container {
        right: -5px;
    }
}

@media screen and (max-width: 800px) {
    #homo, #spinach {
        transform: scale(0.95);
    }

    #personal-section {
        margin-top: 630px;
        margin-bottom: 0;
    }

    #homo-container {
        top: -540px;
        left: 50%;
        transform: translateX(-50%);
        translate: -135px;
        z-index: 1;
    }

    #spinach-container {
        top: -1045px;
        left: 50%;
        transform: translateX(-50%);
        translate: 135px;
        width: 280px;
        height: 470px;
    }

    #blurb-text {
        bottom: auto;
        top: -45px;
    }

    #working-on {right: 30px;}
    #working-on .bubble {width: 110px;}
    #working-stem {left: 50px;}

    #working-on-updated {
        right: -18px;
        bottom: -50px;
    }

    #games-section {
        margin-top: 0;
        top: -40px;
        margin-bottom: 150px;
    }

    #blurb-text {width: 70%;}
    .branch {display: none;}
    #hat {left: 0}
}

@media screen and (max-width: 570px) {
    #homo-container {
        translate: -100px;
    }

    #spinach-container {
        translate: 100px
    }

    #blurb-text {width: 90%;}
}

@media screen and (max-width: 500px) {
    #homo-container, #spinach-container {transform: translateX(-50%) scale(0.9)}
    #homo-container {top: -550px}
    #blurb-text {top: -60px}
    #personal-section {margin-top: 580px}
    #hat {transform: scale(0.8); transform-origin: left;}
}

@media screen and (max-width: 442px) {
    #homo-container, #spinach-container {transform: translateX(-50%) scale(0.8)}
    #homo-container {top: -520px; translate: -90px;}
    #spinach-container {top: -1015px; translate: 80px;}
    #personal-section {margin-top: 540px}
    .window.personal, .window.games {width: 98%}
}

@media screen and (max-width: 385px) {
    #homo-container, #spinach-container {transform: translateX(-50%) scale(0.75)}
    #homo-container {top: -500px; translate: -80px;}
    #spinach-container {top: -945px; translate: 70px;}
    #blurb-text {top: -50px}
    #personal-section {margin-top: 490px}
    .window.personal, .window.games {height: 300px}
    .window-contents {grid-template-columns: auto auto !important}
    #games-section {top: -90px}
}